This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 478762 - Updating Fedora 10 causes GRUB to be marked as bootable if not before
Updating Fedora 10 causes GRUB to be marked as bootable if not before
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 13:21 EST by Melissa
Modified: 2009-12-18 02:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Melissa 2009-01-04 13:21:46 EST
Description of problem:
Running the Fedora updater on an installed Fedora 10 will cause the GRUB partition to be marked as bootable if GRUB was originally installed to the boot sector rather than the MBR and GRUB was not the boot partition.

Version-Release number of selected component (if applicable):
Fedora 10

How reproducible:
I have not tried to reproduce this, as it would require reinstalling.

Steps to Reproduce:
1. Install Fedora 10.  When asked to configure the boot loader, tell it to install GRUB to the boot sector rather than the MBR.
2. Install some other OS.  Set that OS to be the boot partition.
3. Boot Fedora 10 (for example, using a boot menu besides GRUB).
4. Run the updater.
  
Actual results:
The update sets GRUB as the bootable partition.

Expected results:
The update leaves the bootable flags alone.  Updates should not change the boot configuration.

Additional info:
I have a triple-booting Mac Pro among Leopard, Fedora 10 x86-64 and Vista SP1 x86-64.  Leopard is on /dev/sda; Fedora and Vista are on /dev/sdb.  Prior to the update, /dev/sdb1 was the boot partition for the second drive; the update set /dev/sdb2 as the boot partition.

My boot loader is rEFIt, an EFI-based replacement boot menu for x86 Macs.  It has MBRs and partitions' boot sectors as boot menu options; I used this to select Linux and the MBR to select Vista.

Following the update:

[myria@artemis Debug]$ sudo parted
[sudo] password for myria:
GNU Parted 1.8.8
Using /dev/sda
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print
Model: ATA WDC WD3200AAJS-4 (scsi)
Disk /dev/sda: 320GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End    Size    File system  Name                   Flags
 1      20.5kB  210MB  210MB   fat32        EFI system partition   boot
 2      210MB   303GB  302GB   hfs+         Customer
 3      303GB   320GB  17.2GB  fat32        DOS_FAT_32_Untitled_2

(parted) select /dev/sdb
Using /dev/sdb

(parted) print
Model: ATA WDC WD5000AAKS-4 (scsi)
Disk /dev/sdb: 500GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End    Size   Type     File system  Flags
 1      1049kB  372GB  372GB  primary  ntfs
 2      372GB   372GB  206MB  primary  ext3         boot
 3      372GB   500GB  128GB  primary               lvm
Comment 1 Bill McGonigle 2009-05-24 22:39:17 EDT
I think I'm seeing this as well, on a Fedora 10 to Fedora 11 upgrade.  I have an extra bootable item showing in rEFIt.  Might this cause bug 444490?
Comment 2 Bug Zapper 2009-11-18 04:44:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:29:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.